#
# spec file for package t1lib (Version 5.1.2)
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           t1lib
BuildRequires:  quilt xorg-x11-devel
License:        LGPLv2.1+
Group:          System/Libraries
AutoReqProv:    on
Version:        5.1.2
Release:        16.1
Url:            ftp://sunsite.unc.edu/pub/Linux/libs/graphics/
Source:         ftp://sunsite.unc.edu/pub/Linux/libs/graphics/%{name}-%{version}.tar.bz2
Patch0:         t1lib-auto.patch
Patch1:         t1lib_5.1.2-3.diff.gz
Patch2:         t1lib-5.1.2-CVE-2010-2642.patch
#https://bugzilla.redhat.com/show_bug.cgi?id=CVE-2011-0764
#https://bugzilla.redhat.com/attachment.cgi?id=551723
Patch3:         t1lib-type1-fix-invalid-rw.patch
Patch4:         t1lib-5.1.2-afm-fix.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        Adobe Type 1 Font Rasterizing Library

%description
T1lib is a library for generating character and string glyphs from
Adobe Type 1 fonts under UNIX. T1lib uses most of the code of the X
Window System rasterizer donated by IBM to the X Window System project.
Some disadvantages of the rasterizer included in the X Window System
have been eliminated.



Authors:
--------
    Rainer Menzner <Rainer.Menzner@neuroinformatik.ruhr-uni-bochum.de>

%package      -n t1lib-devel
License:        LGPLv2.1+
Summary:        Development Libraries for T1lib
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version} xorg-x11-libX11-devel

%description  -n t1lib-devel
This package provides the t1lib development environment (static
libraries, header files, and more).



Authors:
--------
    Rainer Menzner <Rainer.Menzner@neuroinformatik.ruhr-uni-bochum.de>

%prep
%setup -q -n t1lib-%{version}
%patch0 -p1 -b .auto
%patch1 -p1
QUILT_PATCHES=debian/patches quilt push -a
%patch2 -p1 -b .CVE-2010-2642
%patch3 -p1
%patch4 -p1

%build
autoreconf -fiv
export CFLAGS="%{optflags} -fno-strict-aliasing" 
export CXXFLAGS="%{optflags} -fno-strict-aliasing"
%configure --disable-static --with-pic
%{__make} %{?jobs:-j%jobs} without_doc

%install
%{__make} DESTDIR=%{buildroot} install
%{__rm} -f %{buildroot}%{_datadir}/t1lib/doc/t1lib_doc*
%{__rm} -f %{buildroot}%{_libdir}/*.la

%clean
%{__rm} -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%{_libdir}/libt1.so.*
%{_libdir}/libt1x.so.*
%{_bindir}/type1afm
%{_bindir}/xglyph

%files -n t1lib-devel
%defattr(-, root, root)
%doc doc/t1lib_doc.pdf
%doc doc/t1_data.eps
%doc Changes LGPL LICENSE README.t1lib-%{version}
%{_libdir}/libt1*.so
%{_includedir}/t1lib*.h

%changelog
* Thu Apr 19 2012 mvyskocil@suse.cz
- fix bnc#684802 - VUL-0: t1lib: memory corruption
  * used fix from Jaroslav Škarvada from RedHat
  * t1lib-type1-fix-invalid-rw.patch (CVE-2011-1552,
    CVE-2011-1553, CVE-2011-1554, CVE-2011-0764)
- fix bnc#757961: VUL-0: t1lib: heap overflow in afm font parser
  * t1lib-5.1.1-afm-fix.patch (CVE-2011-0433)
* Fri Jan  7 2011 mvyskocil@suse.cz
- fix bnc#662411 - DVI file AFM font parser heap overflow CVE-2010-2642
* Sun Mar  1 2009 crrodriguez@suse.de
- taking over this package, PHP depends on it.
- update to version 5.1.2, only obsoletes previuosly added patches
- merge debian patches
* Thu Sep 20 2007 crrodriguez@suse.de
- fix Bug 326687 - VUL-0: t1lib buffer overflow triggerable from PHP scripts.
* Wed Aug  8 2007 crrodriguez@suse.de
- update to version 5.1.1 (latest released on 2006)
- in general this fixes Bugzilla [#298301].
- needs -fno-strict-aliasing with new gcc.
- remove libtool archives
- make autobuild totally happy (no more warnings or errors)
* Wed Jan 31 2007 mfabian@suse.de
- Bugzilla #240159: array subscript out of bounds.
* Wed Jan 17 2007 mfabian@suse.de
- Bugzilla #137002: update to 5.1.0.
* Wed Aug 16 2006 aj@suse.de
- Replace xorg-x11-devel BuildRequires with really needed libs.
* Fri Jun 16 2006 schwab@suse.de
- Handle reference to datarootdir variable.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Feb 14 2005 ro@suse.de
- fix build with current tetex
- remove tetex from neededforbuild and use prebuilt docu
  to break cycle between tetex and t1lib
* Thu Feb 10 2005 ro@suse.de
- added libpng to neededforbuild (for tetex)
* Sat Jan 10 2004 adrian@suse.de
- add %%run_ldconfig
* Fri Jun 13 2003 kukuk@suse.de
- Add missing directory to filelist
* Fri May 16 2003 mfabian@suse.de
- remove stuff from buildroot which is not in the file list.
- add execute permissions to shared libraries.
* Fri Aug  9 2002 mfabian@suse.de
- t1lib-devel should require t1lib
* Mon Jun 17 2002 meissner@suse.de
- rerun auto* tools so we support newer platforms.
* Tue May 21 2002 freitag@suse.de
- update to t1lib-1.3.1
* Thu Jan 31 2002 mfabian@suse.de
- use %%{_libdir}
* Sat Aug 11 2001 mfabian@suse.de
- update to t1lib-1.1.1
* Mon May  7 2001 mfabian@suse.de
- bzip2 sources
* Fri Feb 16 2001 mfabian@suse.de
- new package: t1lib version 1.1.0
